//---------------------------------------------------------------------------
#ifndef fgrafika3d1H
#define fgrafika3d1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TPanel *Panel1;
    TTrackBar *TrackBar1;
    TLabel *Label1;
    TTrackBar *TrackBar2;
    TLabel *Label2;
    TTrackBar *TrackBar3;
    TLabel *Label3;
    TRadioGroup *RadioGroup1;
    TPaintBox *PaintBox1;void __fastcall FormPaint(TObject *Sender);
    void __fastcall TrackBar1Change(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
private:	// User declarations
    String formula;
    TPunkt p_obs;       //pozycja obserwatora
    int il_rozwiniec;
    void odczytaj_parametry( void);
    void rozwin();
    void rysuj( TPunkt p0, double fi, double teta, double dlg);
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
